
<scenario begin="input_payer">
    <!--Экран логина-->
    <screen type="numeric"  id="login"  title="Введите номер телефона">
        <fields>
            <text-field id="keeper.login" title="Логин" message="Введите номер Вашего мобильного телефона" max-len="10" keyboard="Digital">
                <help>
            	    <![CDATA[
            		<html><center>В качестве логина для поиска шаблонов, используется номер Вашего мобильного телефона<br>Пример ввода: <b>8(XXX)-XXX-XXXX</b><br>
            	    ]]>
                </help>
                <formatter type="regex">
                    <rules default="8(***)-***-****"/>
                </formatter>
                <validator type="regex">
                    <rules>
                        <rule regex="^\d{10}$"/>
                    </rules>
                </validator>
            </text-field>            
        </fields>
        <actions>
            <action type="Next" title="Далее"/>
            <action type="Prev" title="Назад"/>
            <action type="Exit" title="Выход"/>
        </actions>
    </screen>	

    <!--Экран пароля-->
    <screen type="numeric"  id="password" title="Введите пароль">
        <fields>
            <text-field id="keeper.password" title="Пароль" message="Введите Ваш пароль" max-len="6" keyboard="Digital" >
                <help>
            	    <![CDATA[
            		<html><center>Введите свой пароль. Пример: <b>1234</b><br>Если Вы забыли пароль, нажмите кнопку "Восстановить"
            	    ]]>
                </help>
                <validator type="regex">
                    <rules>
                        <rule regex="^\d{0,6}$"/>
                    </rules>
                </validator>
            </text-field>
        </fields>
        <actions>
            <action type="Next" title="Далее"/>
            <action type="Prev" title="Назад"/>
            <action type="Exit" title="Выход"/>
        </actions>
    </screen>
    
    <!--Экран логина и пароля-->
    <screen type="group"  id="login-password" title="Введите номер мобильного и пароль">
        <fields>
            <text-field id="keeper.login" title="Логин" max-len="10" keyboard="Digital">
                <help>
            	    <![CDATA[
            		<html><center>В качестве логина для поиска шаблонов, используется номер Вашего мобильного телефона<br>Пример ввода: <b>8(XXX)-XXX-XXXX</b><br>
            	    ]]>
                </help>
                <formatter type="regex">
                    <rules default="8(***)-***-****"/>
                </formatter>
                <validator type="regex">
                    <rules>
                        <rule regex="^\d{10}$"/>
                    </rules>
                </validator>
            </text-field>
            <text-field id="keeper.password" title="Пароль" max-len="30" keyboard="Digital" secure="true"> 
                <help>
            	    <![CDATA[
            		<html><center>Введите свой пароль. Пример: <b>1234</b><br>Если Вы забыли пароль, нажмите кнопку "Восстановить"
            	    ]]>
                </help>
                <validator type="regex">
                    <rules>
                        <rule regex="^\d{0,6}$"/>
                    </rules>
                </validator>
            </text-field>
        </fields>
        <actions>
            <action type="Next" title="Далее"/>
            <action type="Prev" title="Назад"/>
            <action type="Exit" title="Выход"/>
        </actions>
    </screen>	
    
    <screen type="Selector"  id="templates" title="Выберите шаблон">
        <fields>
            <selector-field id="selected" title="Template">
                <items type="data" key="templates"/>
            </selector-field>
        </fields>
        <actions>
            <action type="Next" title="Далее"/>
            <action type="Prev" title="Назад"/>
            <action type="Exit" title="Выход"/>
        </actions>
    </screen>  
    
    <!--Экран логина-->
    <screen type="group" id="login-save" title="Введите номер Вашего мобильного">
        <fields>
            <text-field id="keeper.login" title="Логин" max-len="10" keyboard="Digital">
                <help>
                <![CDATA[
                 <html><center>Введите номер мобильного телефона для сохранения шаблона<br> На этот номер вы получите СМС с пин-кодом для поиска сохранненных шаблонов оплаты
                ]]>
                </help>
                <formatter type="regex">
                    <rules default="8(***)-***-****"/>
                </formatter>
                <validator type="or">
                    <validator type="empty"/>
                    <validator type="regex">
                        <rules>
                            <rule regex="^\d{10}$"/>
                        </rules>
                    </validator>
                </validator>
            </text-field>
            <text-field id="keeper.template.name" title="Название шаблона" max-len="30" keyboard="any:[ru,en]:lower:true">
                <help>
                <![CDATA[
                 <html><center>Введите название шаблона для его сохранения
                ]]>
                </help>
                <validator type="regex">
                    <rules>
                        <rule regex="^.*$"/>
                    </rules>
                </validator>
            </text-field>
        </fields>
        <actions>
            <action type="Next" title="Далее"/>
            <action type="Prev" title="Назад"/>
            <action type="Exit" title="Выход"/>
        </actions>
    </screen>

   <!-- <screen type="Selector" decor="three" id="choose-template" title="Выберите шаблон">
        <fields>
            <selector-field id="choose-template" title="Template">
                <items type="static">
                    <item value="0" title="Платил ранее"/>
                    <item value="1" title="Не платил ранее"/>
                    <item value="2" title="Заглушка"/>
                </items>
            </selector-field>
        </fields>
        <actions>
            <action type="Next" title=""/>
            <action type="Prev" title=""/>
            <action type="Exit" title=""/>
        </actions>
    </screen> -->

</scenario>
